export default defineAppConfig({
  entryPagePath: 'pages/home/index',
  pages: ['pages/home/index', 'pages/mine/index'],
  requiredPrivateInfos: ['getLocation'],
  permission: {
    'scope.userLocation': {
      desc: '你的位置信息将用于小程序数据的效果展示',
    },
  },
  window: {
    backgroundTextStyle: 'light',
    navigationBarBackgroundColor: '#ff6d33',
    navigationBarTitleText: 'WeChat',
    navigationBarTextStyle: 'black',
    backgroundColorTop: '#ff6d33',
    backgroundColor: '#f7f7f7',
    backgroundColorBottom: '#f7f7f7',
    navigationStyle: 'custom',
  },
  tabBar: {
    list: [
      {
        pagePath: 'pages/home/index',
        iconPath: 'assets/tabbar/icon-home.png',
        selectedIconPath: 'assets/tabbar/icon-home-active.png',
        text: '首页',
      },
      {
        pagePath: 'pages/mine/index',
        iconPath: 'assets/tabbar/icon-mine.png',
        selectedIconPath: 'assets/tabbar/icon-mine-active.png',
        text: '我的',
      },
    ],
    color: '#000',
    selectedColor: '#ff6d33',
    backgroundColor: '#fff',
    borderStyle: 'black',
    custom: true,
  },
  lazyCodeLoading: 'requiredComponents', // 按需注入和用时注入(按需注入+占位组件)
  subpackages: [
    {
      root: 'subpackages/login',
      pages: [
        'authorization/authorization',
        'userPolicy/userPolicy',
        'loginByForm/loginByForm',
        'registerForm/registerForm',
        'mineUserPolicy/mineUserPolicy',
        'privacyPolicy/privacyPolicy',
      ],
    },
    {
      root: 'subpackages/authentication',
      pages: [
        'authenticationHome/authenticationHome',
        'authenticationFaRen/authenticationFaRen',
        'authenticationJBR/authenticationJBR',
        'authenticationResult/authenticationResult',
      ],
    },
    {
      root: 'subpackages/mine',
      pages: [
        'setting/setting',
        'mineFavorites/mineFavorites',
        'mineContactRecord/mineContactRecord',
      ],
    },
    {
      root: 'subpackages/city',
      pages: ['citySelect/citySelect'],
    },
  ],
  // preloadRule: {
  //   'pages/mine/index': {
  //     network: 'all',
  //     packages: ['subpackages/setting', 'subpackages/message'],
  //   },
  // },
});
